Bug 165299 - df -w option similar to IRIX
df -w option similar to IRIX
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-07 05:18 EDT by Kasper Dupont
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-08 06:03:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to add -w option (3.23 KB, patch)
2005-08-07 05:33 EDT, Kasper Dupont
no flags Details | Diff

  None (edit)
Description Kasper Dupont 2005-08-07 05:18:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050603 Fedora/1.7.8-1.1.1.legacy

Description of problem:
If the device name is wider than 20 chars the df output doesn't look nice. The IRIX version of df have a -w option to change the width of the device column.

Version-Release number of selected component (if applicable):
coreutils-5.2.1-48.1

How reproducible:
Always

Steps to Reproduce:
1. df -w 42


Actual Results:  df: invalid option -- w
Try `df --help' for more information.


Expected Results:  The width of the device column should change.

Additional info:
Comment 1 Kasper Dupont 2005-08-07 05:33:37 EDT
Created attachment 117522 [details]
Patch to add -w option
Comment 2 Tim Waugh 2005-08-08 06:03:17 EDT
Please report this to the coreutils developers at:

  http://lists.gnu.org/mailman/listinfo/bug-coreutils

Thanks.

Note You need to log in before you can comment on or make changes to this bug.